Modified: japanese/zipcodes/files/Makefile
==============================================================================
--- japanese/zipcodes/files/Makefile.orig	2014-01-23 08:36:56.170299257 +0900
+++ japanese/zipcodes/files/Makefile	2016-09-07 19:43:31.862564000 +0900
@@ -15,7 +15,7 @@ CSV=	ken_all.csv
 #	41saga.csv 42nagasa.csv 43kumamo.csv 44oita.csv \
 #	45miyaza.csv 46kagosh.csv 47okinaw.csv
 EUCCSV=	${CSV:%.csv=%.euc-csv}
-PERL?=	/usr/bin/perl
+PERL?=	${LOCALBASE}/bin/perl
 NKF?=	${LOCALBASE}/bin/nkf
 _DESTDIR=${STAGEDIR}${PREFIX}/share/misc/jp-zipcodes
 
Modified: japanese/zipcodes/scripts/genold.pl
==============================================================================
--- japanese/zipcodes/scripts/genold.pl.orig	2014-01-24 19:21:41.929974905 +0900
+++ japanese/zipcodes/scripts/genold.pl	2016-09-07 20:15:23.885823000 +0900
@@ -1,11 +1,11 @@
 while (<>) {
 	s/"//g;
-	split(/,/, $_);
-	$_[1] =~ s/[ \t]//g;
-	$_[8] = '' if ($_[8] eq 'ʲ˷Ǻܤʤ');
-	$zipstr = $_[6] . ' ' . $_[7] . ' ' . $_[8];	# uniq
+	@zipline = split(/,/, $_);
+	@zipline[1] =~ s/[ \t]//g;
+	$zipline[8] = '' if ($_[8] eq 'ʲ˷Ǻܤʤ');
+	$zipstr = $zipline[6] . ' ' . $zipline[7] . ' ' . $zipline[8];	# uniq
 	$zipstr =~ s/[ \t]+$//;
-	$zip{$zipstr} = $_[1];
+	$zip{$zipstr} = $zipline[1];
 }
 
 print "# Zip code:location\n";

Modified: japanese/zipcodes/scripts/gennew.pl
==============================================================================
--- japanese/zipcodes/scripts/gennew.pl.orig	2014-01-24 19:21:41.923309462 +0900
+++ japanese/zipcodes/scripts/gennew.pl	2016-09-07 20:16:33.831393000 +0900
@@ -1,11 +1,11 @@
 while (<>) {
 	s/"//g;
-	split(/,/, $_);
-	$_[2] =~ s/[ \t]//g;
-	$_[8] = '' if ($_[8] eq 'ʲ˷Ǻܤʤ');
-	$zipstr = $_[6] . ' ' . $_[7] . ' ' . $_[8];	# uniq
+	@zipline = split(/,/, $_);
+	$zipline[2] =~ s/[ \t]//g;
+	$zipline[8] = '' if ($_[8] eq 'ʲ˷Ǻܤʤ');
+	$zipstr = $zipline[6] . ' ' . $zipline[7] . ' ' . $zipline[8];	# uniq
 	$zipstr =~ s/[ \t]+$//;
-	$zip{$zipstr} = $_[2];
+	$zip{$zipstr} = $zipline[2];
 }
 
 print "# Zip code:location\n";
